/* eslint-disable */
<template>
    <div class="container">
        <Search type="home"/>

        <div class="row">
            <div class="col-md-12">
                <div class="card mb-5">
                    <div class="card-header">
                        <h4 class="card-title">List of Countries</h4>
                    </div>
                    <div class="card-body">
                        <!-- Nav pills -->
                        <ul class="nav nav-pills" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="pill" href="#africa">Africa</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="pill" href="#americas">Americas</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="pill" href="#asia">Asia</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="pill" href="#europe">Europe</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="pill" href="#oceania">Oceania</a>
                            </li>
                        </ul>
                        <br>
                        <!-- Tab panes -->
                        <div class="tab-content">
                            <div id="africa" class="tab-pane active">
                                <Region region="Africa" :all="all" />
                            </div>
                            <div id="americas" class="tab-pane">
                                <Region region="Americas" :all="all" />
                            </div>
                            <div id="asia" class="tab-pane">
                                <Region region="Asia" :all="all" />
                            </div>
                            <div id="europe" class="tab-pane">
                                <Region region="Europe" :all="all" />
                            </div>
                            <div id="oceania" class="tab-pane">
                                <Region region="Oceania" :all="all" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
// @ is an alias to /src
import "vue-multiselect/dist/vue-multiselect.min.css"
import Region from '@/components/region.vue'
import Search from '@/components/search_country.vue'
import {mapGetters,mapActions} from "vuex"


export default {
    name: 'Home',
    data() {
        return {
           
        }
    },
    components: {
        Region,
        Search
    },
    computed: {
        ...mapGetters({
            all: 'countries'
        })
    },
    methods: {
        ...mapActions({
            getAll: 'fetchCountries'
        }),
        
    },
    mounted() { 
        this.getAll()
        document.title = "Copia";
    }
}
</script>
